<?php
/**
 * Template part for displaying post footer in single.php
 *
 * @package errigal
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit;

use Errigal\Constant\{
	Errigal_Footer_Hook as Footer_Hook,
	Errigal_Html_Attr as Html_Attr,
	Errigal_Html_Option as Html_Option,
};
use Errigal\Shared\Errigal_Html_Builder as Html_Builder;

Html_Builder::create()->create_footer(
	array(
		Html_Option::ATTRS => array(
			Html_Attr::CLASS_NAME => 'post-footer',
		),
	)
)->render_element(
	function () {
		get_template_part( 'template-parts/component/shared/categories' );
		get_template_part( 'template-parts/component/shared/tags' );
		do_action( Footer_Hook::AFTER_POST_FOOTER_CONTENT );
	}
);
